Get alert contact point
curl --request GET \
--url https://api.cloud.corbado.io/v1/observe/alertContactPoints/{alertContactPointID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.corbado.io/v1/observe/alertContactPoints/{alertContactPointID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.corbado.io/v1/observe/alertContactPoints/{alertContactPointID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"integrations": [
{
"id": "<string>",
"type": "email",
"settings": {},
"status": "active",
"minSeverity": "info"
}
],
"createdMs": 123,
"updatedMs": 123,
"description": "<string>"
}{
"error": {
"message": "Validation failed",
"details": [
{
"field": "projectID",
"message": "required"
}
]
}
}Alert management
Get alert contact point
Returns one contact point with its integrations.
Required API key permission: observe:alerts:read.
GET
/
observe
/
alertContactPoints
/
{alertContactPointID}
Get alert contact point
Authorizations
Use an Observe API key from the management console. The key selects the project and must grant the permission listed on the operation. Keep this key on your server.
Path Parameters
Alert contact point ID (format acp-<number>).
Was this page helpful?